Subject: Re: [Bitcoin-development] Procedure for non-tech contributions

From: Drak <[email-masked]>
Date: Sun, 2 Mar 2014 22:11:25 +0000

On 2 March 2014 20:40, Peter Todd <[email-masked]> wrote:

> I proof-read rc1 and simply submitted my changes via pull-req:
>
>     https://github.com/bitcoin/bitcoin/pull/3642
>
> I'd say to encourage that method. If someone doesn't know how to use
> git, yet still wants to proof-read, just send us a text-file with all
> your corrections applied. We've got the tools to diff those changes
> ourselves; no fancy software is required.

Actually, this is unnecessary since github allows editing of files directly
on the site and the it will submit as a pull request. You can even update
by visiting your fork (it creates this automatically and a topic branch)
and make more edits and it will add to your PR. There is basically no
barrier for non techy people to contribute.

Drak